Package ru.bitel.bgbilling.plugins.cladr.server.dao

# Class AddressDBFDAO

java.lang.Object
ru.bitel.bgbilling.plugins.cladr.server.dao.AddressDBFDAO

    public class AddressDBFDAO
    extends java.lang.Object

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `AddressDBFDAO​(java.sql.Connection con, org.apache.logging.log4j.Logger log)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `addIndex()` |
  `ru.bitel.bgbilling.plugins.cladr.common.model.Address` | `getAddressByCode​(java.lang.String code)` |
  `ru.bitel.bgbilling.plugins.cladr.common.model.Address` | `getAddressLevelByCode​(java.lang.String code, int level)` |
  `java.util.List<java.lang.String>` | `getCodesBySearchString​(java.lang.String[] words)` |
  `java.util.List<ru.bitel.bgbilling.plugins.cladr.common.model.House>` | `getHouseByCode​(java.lang.String code)` |
  `java.util.List<ru.bitel.bgbilling.plugins.cladr.common.model.Address>` | `getStreetByCode​(java.lang.String code)` |
  `java.util.List<ru.bitel.bgbilling.plugins.cladr.common.model.Address>` | `getStreetByTitleWord​(java.lang.String code, java.lang.String[] words)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AddressDBFDAO

    public AddressDBFDAO​(java.sql.Connection con, org.apache.logging.log4j.Logger log)

- ## Method Details

  - ### addIndex

    public void addIndex() throws java.sql.SQLException
    Throws:
      `java.sql.SQLException`

  - ### getCodesBySearchString

    public java.util.List<java.lang.String> getCodesBySearchString​(java.lang.String[] words) throws java.sql.SQLException
    Throws:
      `java.sql.SQLException`

  - ### getAddressByCode

    public ru.bitel.bgbilling.plugins.cladr.common.model.Address getAddressByCode​(java.lang.String code) throws java.sql.SQLException
    Throws:
      `java.sql.SQLException`

  - ### getAddressLevelByCode

    public ru.bitel.bgbilling.plugins.cladr.common.model.Address getAddressLevelByCode​(java.lang.String code, int level) throws java.sql.SQLException
    Throws:
      `java.sql.SQLException`

  - ### getStreetByCode

    public java.util.List<ru.bitel.bgbilling.plugins.cladr.common.model.Address> getStreetByCode​(java.lang.String code) throws java.sql.SQLException
    Throws:
      `java.sql.SQLException`

  - ### getStreetByTitleWord

    public java.util.List<ru.bitel.bgbilling.plugins.cladr.common.model.Address> getStreetByTitleWord​(java.lang.String code, java.lang.String[] words) throws java.sql.SQLException
    Throws:
      `java.sql.SQLException`

  - ### getHouseByCode

    public java.util.List<ru.bitel.bgbilling.plugins.cladr.common.model.House> getHouseByCode​(java.lang.String code) throws java.sql.SQLException
    Throws:
      `java.sql.SQLException`